﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Eventures.App</title>

    <environment include="Development">
        <link rel="stylesheet" href="~/css/reset-css.css" />
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
    </environment>
    <environment exclude="Development">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
              asp-fallback-href="~/lib/bootstrap/dist/css/bootstrap.min.css"
              asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute"
              crossorigin="anonymous"
              integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" />
    </environment>
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>

    <div class="container-fluid">
        <header class="bg-eventures">
            <nav class="navbar navbar-expand-lg navbar-light w-75 p-0 mx-auto bg-eventures font-weight-bold">
                <a class="navbar-brand" href="#">Eventures</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse d-flex justify-content-between">
                    <ul class="navbar-nav">
                        <li class="nav-item active">
                            <a class="nav-link" href="/Home/Index">Home</a>
                        </li>
                        @if (this.User.Identity.IsAuthenticated)
                        {
                            <li class="nav-item active">
                                <div class="dropdown show">
                                    <a class="nav-link active dropdown-toggle" href="#" id="dropdownMenuLink"
                                       data-toggle="dropdown"
                                       aria-haspopup="true"
                                       aria-expanded="false">
                                        Events
                                    </a>

                                    <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                                        <a class="dropdown-item" href="/Events/All">All Events</a>
                                        @if (this.User.IsInRole("Admin"))
                                        {
                                            <a class="dropdown-item" href="/Events/Create">Create Event</a>
                                        }
                                    </div>
                                </div>
                            </li>
                        }
                    </ul>
                    <ul class="navbar-nav">
                        @if (!this.User.Identity.IsAuthenticated)
                        {
                            <li class="nav-item active">
                                <a class="nav-link" href="/Identity/Account/Login">Login</a>
                            </li>
                            <li class="nav-item active">
                                <a class="nav-link" href="/Identity/Account/Register">Register</a>
                            </li>
                        }
                        else
                        {
                            <li class="nav-item active">
                                <a class="nav-link" href="/Identity/Account/Logout">Logout</a>
                            </li>
                        }
                    </ul>
                </div>
            </nav>
        </header>
        <main class="my-4">
            @RenderBody()
        </main>
        <footer class="w-75 mt-3 mx-auto bg-eventures">
            <div class="container-fluid bg-eventures">
                <div class="p-2 text-center text-dark">
                    <h5>&copy; CopyRight Eventures Inc. 2018-2018 All rights reserved</h5>
                </div>

            </div>
        </footer>
    </div>

    <environment include="Development">
        <script src="~/lib/jquery/dist/jquery.js"></script>
        <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.js"></script>
    </environment>
    <environment exclude="Development">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"
                asp-fallback-src="~/lib/jquery/dist/jquery.min.js"
                asp-fallback-test="window.jQuery"
                crossorigin="anonymous"
                integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=">
        </script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"
                asp-fallback-src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"
                asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"
                crossorigin="anonymous"
                integrity="sha384-xrRywqdh3PHs8keKZN+8zzc5TX0GRTLCcmivcbNJWm2rs5C8PRhcEn3czEjhAO9o">
        </script>
    </environment>
    <script src="~/js/site.js" asp-append-version="true"></script>

    @RenderSection("Scripts", required: false)
</body>
</html>
